#include <igraph.h>

int main(void)
{	
	igraph_t graph;
	igraph_matrix_t nodes_layout;
	igraph_vector_t edge_list;

	/// Create empty non directed graph with no nodes
	igraph_empty(&graph, 0, true);
	igraph_matrix_init(&nodes_layout, 0, 0);
	igraph_vector_init(&edge_list, 0);

// Build graph
	// Add nodes
	igraph_add_vertices(&graph, 15, 0);

	// Add edges
	igraph_add_edge(&graph, 1, 2);
	igraph_add_edge(&graph, 6, 4);

// Layout	
	//igraph_layout_random(&graph, &nodes_layout);
	igraph_layout_circle(&graph, &nodes_layout);
	igraph_get_edgelist(&graph, &edge_list, 0);

// Stats
	printf("vertex count: %f\n", igraph_vcount(&graph));
	
	float xpos, ypos;
	for (int i = 0; i < igraph_matrix_nrow(&nodes_layout); i++)
	{
		xpos = (float)MATRIX(nodes_layout, i, 0);
		ypos = (float)MATRIX(nodes_layout, i, 1);
		printf("Node #%d, x=%f y=%f\n", i, xpos, ypos);
	}

	printf("edge count: %f\n", igraph_ecount(&graph));
	for (int i=0; i<igraph_vector_size(&edge_list); i++) 
	{
		printf("%f ", VECTOR(edge_list)[i]);
	}

// clean up
	igraph_matrix_destroy(&nodes_layout);
	igraph_vector_destroy(&edge_list);
	igraph_destroy(&graph);

	return 0;
}
